Foreman - Bug #12

Last report entry missing and date incorrect
09/15/2009 09:34 AM - Moty Lavi

Status: Closed

Priority: Normal

Assignee: Ohad Levy

Category: Puppet Reports

Target version: 0.1-1

Difficulty: Fixed in Releases:

Triaged: No Found in Releases:

Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/theforeman/hammer-cl
i-foreman-puppet/pull/19

Description
After setting new foreman report feature | have two problems:

1) Clients that don't have the entry "report=true” in their puppet.conf stoped showing "last report" time in the hosts screen. This
worked prior to last foreman reports feature

2) The clients that do have this entry set, report wrong "last report” time in the hosts screen ( "about 2 hours" for a client that got
updated in the last minute" )

Associated revisions

Revision d7eeca00 - 09/16/2009 01:33 PM - Ohad Levy
fixes #12

Revision 0b8c48c4 - 05/08/2014 08:12 AM - Dominic Cleal
Remove external assets, use inline JavaScript

Debian packages can't compile assets yet.

Fixes #12

History

#1 - 09/15/2009 09:48 AM - Ohad Levy

motyla wrote:
After setting new foreman report feature | have two problems:
1) Clients that don't have the entry "report=true" in their puppet.conf stoped showing "last report" time in the hosts screen. This worked prior to
last foreman reports feature
True, in the database we store both last_compile and last_report, the difference is that last_report means that puppet ran and did everything (or not) it
was suppose to do, last_compile just means the server sent a compilation to the client, but it might not actually work (e.g. duplicate definitions etc)
What | would like to do is to provide status indicators (maybe small status icons?)
2) The clients that do have this entry set, report wrong "last report" time in the hosts screen ( "about 2 hours" for a client that got updated in the

last minute" )

Yeah, that's because | store in UTC and didnt convert it back...

#2 - 09/15/2009 10:09 AM - Moty Lavi

status icon will differ between a client that was lately updated an one that did not ?

#3 - 09/15/2009 10:44 AM - Ohad Levy
motyla wrote:

status icon will differ between a client that was lately updated an one that did not ?

yeah, for example:

host is kickstarting

host is installing

host had puppet failures

host did not run puppet in the last X time
host is disable

#4 - 09/15/2009 11:29 AM - Moty Lavi

perfect

#5 - 09/16/2009 01:30 PM - Ohad Levy

2) The clients that do have this entry set, report wrong "last report" time in the hosts screen ( "about 2 hours" for a client that got updated in
the last minute" )

Yeah, that's because | store in UTC and didnt convert it back...

It seems that when store configs are enable, puppet will always store in local time vs. utc, since our app suppose to support many sites (usually in
different time zones), we want to store our time in UTC.
and it seems that I've already encountered this problem and forgot about it - http:/projects.reductivelabs.com/issues/2518

I'll see if | can fix it in puppet upstream.

however its a bit more complicated than that:

last_compile value, is actually set by puppet (when store configs are enable), if we are using the last_report we can get the right value if the db is set
to use utc (will I'll report in another bug).

I think that I'll enable utc on our db, then the last compile value will not be correct, but last report will.

#6 - 09/16/2009 01:38 PM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset d7eeca002419950e7ba27¢538b616360fafd0e97.

#7 - 09/17/2009 04:59 AM - Ohad Levy
- Status changed from Ready For Testing to Closed

#8 - 09/19/2009 09:33 AM - Ohad Levy

- Target version set to 0.1-1

#9 - 08/01/2021 05:25 PM - The Foreman Bot
- Pull request https://github.com/theforeman/hammer-cli-foreman-puppet/pull/19 added
